data:extend(
{
  {
    type = "recipe",
    name = "player-port",
    enabled = "false",
    ingredients =
    {
      {"electronic-circuit", 10},
      {"iron-gear-wheel", 5},
      {"iron-plate", 1 }
    },
    result = "player-port"
  },
  {
    type = "recipe",
    name = "fast-transport-belt",
    enabled = "false",
	energy_required = 1,
    ingredients =
    {
      {"iron-gear-wheel", 2},
      {"basic-transport-belt", 1}
    },
    result = "fast-transport-belt"
  },
  {
    type = "recipe",
    name = "express-transport-belt",
    category = "crafting-with-fluid",
    enabled = "false",
	energy_required = 1,
    ingredients =
    {
      {"iron-gear-wheel", 2},
      {"fast-transport-belt", 1},
      {type="fluid", name="lubricant", amount=2},
    },
    result = "express-transport-belt"
  },
  {
    type = "recipe",
    name = "solar-panel",
    energy_required = 9,
    enabled = "false",
    ingredients =
    {
      {"steel-plate", 9},
      {"electronic-circuit", 9},
      {"copper-plate", 9}
    },
    result = "solar-panel"
  },
  {
    type = "recipe",
    name = "assembling-machine-2",
    enabled = "false",
	energy_required = 9,
    ingredients =
    {
      {"electronic-circuit", 10},
      {"iron-gear-wheel", 10},
      {"assembling-machine-1", 1}
    },
    result = "assembling-machine-2"
  },
  {
    type = "recipe",
    name = "assembling-machine-3",
    enabled = "false",
	energy_required = 9,
    ingredients =
    {
	  {"processing-unit", 1},
      {"advanced-circuit", 2},
      {"assembling-machine-2", 1}
    },
    result = "assembling-machine-3"
  },
  {
    type = "recipe",
    name = "car",
    enabled = "false",
	energy_required = 4,
    ingredients =
    {
      {"engine-unit", 1},
      {"iron-plate", 16},
	  {"iron-gear-wheel", 10},
      {"steel-plate", 4}
    },
    result = "car"
  },
  {
    type = "recipe",
    name = "tank",
    enabled = "false",
	energy_required = 4,
    ingredients =
    {
      {"engine-unit", 2},
      {"steel-plate", 42},
      {"iron-gear-wheel", 20},
      {"advanced-circuit", 10}
    },
    result = "tank"
  },
  {
    type = "recipe",
    name = "straight-rail",
    enabled = "false",
	energy_required = 4,
    ingredients =
    {
      {"stone", 4},
      {"wood", 4},
      {"steel-plate", 4}
    },
    result = "straight-rail"
  },
  {
    type = "recipe",
    name = "curved-rail",
    enabled = "false",
	energy_required = 10,
    ingredients = {{"stone", 10}, {"wood", 10}, {"steel-plate", 10}},
    result = "curved-rail"
  },
  {
    type = "recipe",
    name = "diesel-locomotive",
    enabled = "false",
	energy_required = 14,
    ingredients =
    {
      {"engine-unit", 4},
      {"electronic-circuit", 20},
	  {"iron-gear-wheel", 40},
      {"steel-plate", 46}
    },
    result = "diesel-locomotive"
  },
  {
    type = "recipe",
    name = "cargo-wagon",
    enabled = "false",
	energy_required = 14,	
    ingredients =
    {
      {"iron-gear-wheel", 20},
      {"steel-plate", 46}
    },
    result = "cargo-wagon"
  },
  {
    type = "recipe",
    name = "train-stop",
    enabled = "false",
	energy_required = 1,
    ingredients =
    {
      {"electronic-circuit", 4},
      {"iron-plate", 10},
      {"steel-plate", 5}
    },
    result = "train-stop"
  },
  {
    type = "recipe",
    name = "rail-signal",
    enabled = "false",
    ingredients =
    {
      {"electronic-circuit", 2},
      {"iron-plate", 6},
	  {"copper-plate", 2}
    },
    result = "rail-signal"
  },
  {
    type = "recipe",
    name = "heavy-armor",
    enabled = "false",
    energy_required = 1,
    ingredients = {{ "iron-plate", 1}, {"steel-plate", 1}},
    result = "heavy-armor"
  },
  {
    type = "recipe",
    name = "basic-modular-armor",
    enabled = "false",
    energy_required = 1,
    ingredients = {{ "advanced-circuit", 4}, {"processing-unit", 1}, {"steel-plate", 2}},
    result = "basic-modular-armor"
  },
  {
    type = "recipe",
    name = "power-armor",
    enabled = "false",
    energy_required = 1,
    ingredients = {{ "processing-unit", 4}, {"electric-engine-unit", 1}, {"steel-plate", 4}},
    result = "power-armor"
  },
  {
    type = "recipe",
    name = "power-armor-mk2",
    enabled = "false",
    energy_required = 1,
    ingredients = {{ "effectivity-module-3", 1}, {"speed-module-3", 1}, {"processing-unit", 4}, {"steel-plate", 4}},
    result = "power-armor-mk2"
  },
  {
    type = "recipe",
    name = "iron-chest",
    enabled = "true",
	energy_required = 1,
    ingredients = {{"iron-plate", 6}},
    result = "iron-chest"
  },
  {
    type = "recipe",
    name = "steel-chest",
    enabled = "false",
	energy_required = 1,
    ingredients = {{"steel-plate", 6}},
    result = "steel-chest"
  },
  {
    type = "recipe",
    name = "smart-chest",
    enabled = "false",
    ingredients =
    {
      {"steel-chest", 1},
      {"electronic-circuit", 2}
    },
    result = "smart-chest"
  },
  {
    type = "recipe",
    name = "stone-wall",
    enabled = "false",
	energy_required = 1,
    ingredients = {{"stone-brick", 4}},
    result = "stone-wall"
  },
  {
    type = "recipe",
    name = "gate",
    enabled = "false",
    ingredients = {{"stone-wall", 1}, {"steel-plate", 2}, {"electronic-circuit", 2}},
    result = "gate"
  },
  {
    type = "recipe",
    name = "flame-thrower",
    enabled = "false",
    energy_required = 1,
    ingredients =
    {
      {"steel-plate", 1}
    },
    result = "flame-thrower"
  },
  {
    type = "recipe",
    name = "land-mine",
    enabled = "false",
    energy_required = 1,
    ingredients =
    {
      {"steel-plate", 6},
      {"explosives", 1}
    },
    result = "land-mine",
    result_count = 4
  },
  {
    type = "recipe",
    name = "rocket-launcher",
    enabled = "false",
    energy_required = 1,
    ingredients =
    {
      {"iron-plate", 6},
      {"iron-gear-wheel", 2},
      {"electronic-circuit", 2}
    },
    result = "rocket-launcher"
  },
  {
    type = "recipe",
    name = "shotgun",
    enabled = "false",
    energy_required = 1,
    ingredients =
    {
      {"iron-plate", 2},
      {"wood", 2}
    },
    result = "shotgun"
  },
  {
    type = "recipe",
    name = "combat-shotgun",
    enabled = "false",
    energy_required = 1,
    ingredients =
    {
      {"steel-plate", 4}
    },
    result = "combat-shotgun"
  },
  {
    type = "recipe",
    name = "railgun",
    enabled = "false",
    energy_required = 5,
    ingredients =
    {
      {"steel-plate", 2},
      {"advanced-circuit", 1}
    },
    result = "railgun"
  },
  {
    type = "recipe",
    name = "science-pack-1",
    energy_required = 5,
    ingredients =
    {
      {"copper-cable", 10},
      {"iron-gear-wheel", 10}
    },
    result = "science-pack-1"
  },
  {
    type = "recipe",
    name = "science-pack-2",
    energy_required = 5,
    ingredients =
    {
      {"electronic-circuit", 10},
      {"basic-transport-belt", 10},
	  {"steel-plate", 10}
    },
    result = "science-pack-2"
  },
  {
    type = "recipe",
    name = "science-pack-3",
    enabled = "false",
    energy_required = 5,
    ingredients =
    {
      {"battery", 10},
      {"advanced-circuit", 10},
      {"basic-inserter", 10}
    },
    result = "science-pack-3"
  },
  {
    type = "recipe",
    name = "alien-science-pack",
    enabled = "false",
    energy_required = 5,
    ingredients = {{"fast-inserter", 10},
	{"processing-unit", 10},
	{"flying-robot-frame",10}},
    result = "alien-science-pack"
  },
  {
    type = "recipe",
    name = "lab",
    energy_required = 9,
    ingredients =
    {
      {"electronic-circuit", 10},
      {"iron-plate", 30}
    },
    result = "lab"
  },
  {
    type = "recipe",
    name = "red-wire",
    enabled = "false",
    ingredients =
    {
      {"copper-cable", 2}
    },
    result = "red-wire"
  },
  {
    type = "recipe",
    name = "green-wire",
    enabled = "false",
    ingredients =
    {
      {"copper-cable", 2}
    },
    result = "green-wire"
  },
  {
    type = "recipe",
    name = "basic-transport-belt-to-ground",
    enabled = "false",
    energy_required = 12,
    ingredients =
    {
      {"iron-plate", 8},
      {"basic-transport-belt", 12}
    },
    result_count = 2,
    result = "basic-transport-belt-to-ground"
  },
  {
    type = "recipe",
    name = "fast-transport-belt-to-ground",
    enabled = "false",
	energy_required = 12,
    ingredients =
    {
      {"iron-gear-wheel", 12},
      {"basic-transport-belt-to-ground", 2}
    },
    result_count = 2,
    result = "fast-transport-belt-to-ground"
  },
  {
    type = "recipe",
    name = "express-transport-belt-to-ground",
	category = "crafting-with-fluid",
    enabled = "false",
	energy_required = 12,
    ingredients =
    {
      {"iron-gear-wheel", 12},
      {"fast-transport-belt-to-ground", 2},
	  {type="fluid", name="lubricant", amount= 12}
    },
    result_count = 2,
    result = "express-transport-belt-to-ground"
  },
  {
    type = "recipe",
    name = "basic-splitter",
    enabled = "false",
    energy_required = 2,
    ingredients =
    {
      {"electronic-circuit", 2},
      {"iron-plate", 8},
      {"basic-transport-belt", 2}
    },
    result = "basic-splitter"
  },
  {
    type = "recipe",
    name = "fast-splitter",
    enabled = "false",
    energy_required = 2,
    ingredients =
    {
      {"basic-splitter", 1},
      {"iron-gear-wheel", 4},
      {"electronic-circuit", 2}
    },
    result = "fast-splitter"
  },
  {
    type = "recipe",
    name = "express-splitter",
    category = "crafting-with-fluid",
    enabled = "false",
    energy_required = 2,
    ingredients =
    {
      {"fast-splitter", 1},
      {"iron-gear-wheel", 2},
      {"advanced-circuit", 2},
      {type="fluid", name="lubricant", amount=4}
    },
    result = "express-splitter"
  },
  {
    type = "recipe",
    name = "advanced-circuit",
    enabled = "false",
	energy_required = 4,
    ingredients =
    {
      {"electronic-circuit", 4},
      {"steel-plate", 16},
      {"copper-cable", 16}
    },
    result = "advanced-circuit"
  },
  {
    type = "recipe",
    name = "processing-unit",
	energy_required = 16,
    enabled = "false",
    ingredients =
    {
      {"advanced-circuit", 4},
	  {"plastic-bar", 64},
	  {"copper-cable", 64}
    },
    result = "processing-unit"
  },
  {
    type = "recipe",
    name = "logistic-robot",
    enabled = "false",
	energy_required = 1,
    ingredients =
    {
      {"flying-robot-frame", 1},
      {"processing-unit", 1}
    },
    result = "logistic-robot"
  },
  {
    type = "recipe",
    name = "construction-robot",
    enabled = "false",
	energy_required = 1,
    ingredients =
    {
      {"flying-robot-frame", 1},
      {"processing-unit", 1}
    },
    result = "construction-robot"
  },
  {
    type = "recipe",
    name = "logistic-chest-passive-provider",
    enabled = "false",
    ingredients =
    {
      {"smart-chest", 1},
      {"advanced-circuit", 1}
    },
    result = "logistic-chest-passive-provider"
  },
  {
    type = "recipe",
    name = "logistic-chest-active-provider",
    enabled = "false",
    ingredients =
    {
      {"smart-chest", 1},
      {"advanced-circuit", 1}
    },
    result = "logistic-chest-active-provider"
  },
  {
    type = "recipe",
    name = "logistic-chest-storage",
    enabled = "false",
    ingredients =
    {
      {"smart-chest", 1},
      {"advanced-circuit", 1}
    },
    result = "logistic-chest-storage"
  },
  {
    type = "recipe",
    name = "logistic-chest-requester",
    enabled = "false",
    ingredients =
    {
      {"smart-chest", 1},
      {"advanced-circuit", 1}
    },
    result = "logistic-chest-requester"
  },
  {
    type = "recipe",
    name = "rocket-defense",
    enabled = "false",
	energy_required = 32,
    ingredients =
    {
      {"rocket", 100},
      {"advanced-circuit", 150},
      {"processing-unit", 100},
      {"speed-module-3", 50},
      {"productivity-module-3", 50}
    },
    result = "rocket-defense"
  },
  {
    type = "recipe",
    name = "roboport",
    enabled = "false",
    ingredients =
    {
      {"steel-plate", 64},
	  {"processing-unit", 5},
      {"advanced-circuit", 20},
	  {"electronic-circuit", 50}
    },
    result = "roboport",
    energy_required = 15
  },
  {
    type = "recipe",
    name = "steel-axe",
    enabled = "false",
    ingredients =
    {
      {"steel-plate", 1},
      {"iron-stick", 2}
    },
    result = "steel-axe"
  },
  {
    type = "recipe",
    name = "big-electric-pole",
    enabled = "false",
	energy_required = 8,
    ingredients =
    {
      {"steel-plate", 5},
      {"copper-cable", 30}
    },
    result = "big-electric-pole"
  },
  {
    type = "recipe",
    name = "substation",
    enabled = "false",
	energy_required = 18,
    ingredients =
    {
      {"steel-plate", 10},
      {"advanced-circuit", 5},
      {"iron-plate", 10},
	  {"electronic-circuit", 20},
	  {"copper-cable", 10}
    },
    result = "substation"
  },
  {
    type = "recipe",
    name = "medium-electric-pole",
    enabled = "false",
	energy_required = 2,
    ingredients =
    {
      {"steel-plate", 2},
      {"copper-cable", 10}
    },
    result = "medium-electric-pole"
  },
  {
    type = "recipe",
    name = "basic-accumulator",
    energy_required = 4,
    enabled = "false",
    ingredients =
    {
      {"iron-plate", 10},
      {"battery", 4}
    },
    result = "basic-accumulator"
  },
  {
    type = "recipe",
    name = "steel-furnace",
    ingredients = {{"steel-plate", 10}, {"stone-furnace", 1}},
    result = "steel-furnace",
    energy_required = 4,
    enabled = "false"
  },
  {
    type = "recipe",
    name = "electric-furnace",
    ingredients = {{"steel-plate", 20}, {"advanced-circuit", 10}, {"electronic-circuit", 20}, {"stone-brick", 20}},
    result = "electric-furnace",
    energy_required = 9,
    enabled = "false"
  },
  {
    type = "recipe",
    name = "basic-beacon",
    enabled = "false",
    energy_required = 8,
    ingredients =
    {
      {"electronic-circuit", 20},
      {"advanced-circuit", 10},
      {"steel-plate", 10},
	  {"iron-plate",20},
    },
    result = "basic-beacon"
  },
  {
    type = "recipe",
    name = "blueprint",
    energy_required = 1,
    ingredients =
    {
      {"advanced-circuit", 1}
    },
    result = "blueprint",
    enabled = "false"
  },
  {
    type = "recipe",
    name = "deconstruction-planner",
    energy_required = 1,
    ingredients =
    {
      {"advanced-circuit", 1}
    },
    result = "deconstruction-planner",
    enabled = "false"
  },
  {
    type = "recipe",
    name = "pumpjack",
    energy_required = 6,
    ingredients =
    {
      {"steel-plate", 10},
      {"iron-gear-wheel", 5},
      {"electronic-circuit", 2},
      {"pipe", 10}
    },
    result = "pumpjack",
    enabled = "false"
  },
  {
    type = "recipe",
    name = "oil-refinery",
    energy_required = 75,
    ingredients =
    {
      {"steel-plate", 20},
	  {"iron-plate", 20},
      {"iron-gear-wheel", 20},
      {"electronic-circuit", 20},
      {"pipe", 20}
    },
    result = "oil-refinery",
    enabled = "false"
  },
  {
    type = "recipe",
    name = "engine-unit",
    energy_required = 1,
    ingredients =
    {
      {"steel-plate", 1},
      {"iron-gear-wheel", 2},
      {"pipe", 1}
    },
    result = "engine-unit",
    enabled = "false"
  },
  {
    type = "recipe",
    name = "electric-engine-unit",
    energy_required = 1,
    ingredients =
    {
      {"engine-unit", 1},
      {"electronic-circuit", 2}
    },
    result = "electric-engine-unit",
    enabled = "false"
  },
  {
    type = "recipe",
    name = "flying-robot-frame",
    energy_required = 1,
    ingredients =
    {
      {"electric-engine-unit", 1},
      {"battery", 1},
      {"steel-plate", 1},
      {"electronic-circuit", 2}
    },
    result = "flying-robot-frame",
    enabled = "false"
  },
  {
    type = "recipe",
    name = "explosives",
    energy_required = 1,
    enabled = "false",
    category = "chemistry",
    ingredients =
    {
      {type="item", name="sulfur", amount=1},
      {type="item", name="coal", amount=1},
      {type="fluid", name="water", amount=1},
    },
    result= "explosives"
  },
  {
    type = "recipe",
    name = "battery",
    category = "chemistry",
    energy_required = 1,
    enabled = "false",
    ingredients =
    {
      {type="fluid", name="sulfuric-acid", amount=1},
      {"iron-plate", 1},
      {"copper-plate", 1}
    },
    result= "battery"
  },
  {
    type = "recipe",
    name = "storage-tank",
    energy_required = 18,
    enabled = "false",
    ingredients =
    {
      {"steel-plate", 48},
	  {"pipe", 4}
    },
    result= "storage-tank"
  },
  {
    type = "recipe",
    name = "small-pump",
    energy_required = 1,
    enabled = "false",
    ingredients =
    {
      {"electric-engine-unit", 1},
      {"steel-plate", 1},
      {"pipe", 1}
    },
    result= "small-pump"
  },
  {
    type = "recipe",
    name = "chemical-plant",
    energy_required = 18,
    enabled = "false",
    ingredients =
    {
      {"steel-plate", 42}, 
      {"iron-gear-wheel", 10},
      {"electronic-circuit", 20},
      {"pipe", 5}
    },
    result= "chemical-plant"
  },
  {
    type = "recipe",
    name = "small-plane",
    energy_required = 30,
    enabled = "false",
    category="crafting",
    ingredients =
    {
      {"plastic-bar", 100},
      {"advanced-circuit", 200},
      {"electric-engine-unit", 20},
      {"battery", 100}
    },
    result= "small-plane"
  },
  {
    type = "recipe",
    name = "rail-tanker",
    enabled = "false",
	energy_required = 14,	
    ingredients =
    {
      {"steel-plate", 46},
	  {"iron-gear-wheel", 20}
    },
    result = "rail-tanker"
  },
 }
)
