data:extend(
{
  {
    type = "armor",
    name = "heavy-armor",
    icon = "__base__/graphics/icons/heavy-armor.png",
    flags = {"goes-to-main-inventory"},
    resistances =
    {
      {
        type = "physical",
        decrease = 12,
        percent = 40
      },
      {
        type = "explosion",
        decrease = 20,
        percent = 40
      },
      {
        type = "acid",
        decrease = 10,
        percent = 40
      }
    },
    durability = 10000,
    subgroup = "armor",
    order = "b[heavy-armor]",
    stack_size = 10
  },
  {
    type = "armor",
    name = "basic-modular-armor",
    icon = "__base__/graphics/icons/basic-modular-armor.png",
    flags = {"goes-to-main-inventory"},
    resistances = 
    {
      {
        type = "physical",
        decrease = 18,
        percent = 50
      },
      {
        type = "acid",
        decrease = 15,
        percent = 50
      },
      {
        type = "explosion",
        decrease = 30,
        percent = 50
      }
    },
    durability = 15000,
    subgroup = "armor",
    order = "c[basic-modular-armor]",
    stack_size = 1,
    equipment_grid = {width = 5, height = 5}
  },
  {
    type = "armor",
    name = "power-armor",
    icon = "__base__/graphics/icons/power-armor.png",
    flags = {"goes-to-main-inventory"},
    resistances = 
    {
      {
        type = "physical",
        decrease = 24,
        percent = 60
      },
      {
        type = "acid",
        decrease = 28,
        percent = 60
      },
      {
        type = "explosion",
        decrease = 60,
        percent = 60
      }
    },
    durability = 20000,
    subgroup = "armor",
    order = "d[power-armor]",
    stack_size = 1,
    equipment_grid = {width = 7, height = 7}
  },
  {
    type = "armor",
    name = "power-armor-mk2",
    icon = "__base__/graphics/icons/power-armor-mk2.png",
    flags = {"goes-to-main-inventory"},
    resistances = 
    {
      {
        type = "physical",
        decrease = 50,
        percent = 70
      },
      {
        type = "acid",
        decrease = 50,
        percent = 70
      },
      {
        type = "explosion",
        decrease = 100,
        percent = 70
      }
    },
    durability = 25000,
    subgroup = "armor",
    order = "e[power-armor-mk2]",
    stack_size = 1,
    equipment_grid = {width = 10, height = 10}
  }
}
)
