data:extend(
{
  {
    type = "recipe",
    name = "wood",
    ingredients = {{"raw-wood", 1}},
    result = "wood",
    result_count = 2
  },
  {
    type = "recipe",
    name = "wooden-chest",
	energy_required = 1,
    ingredients = {{"wood", 6}},
    result = "wooden-chest"
  },
  {
    type = "recipe",
    name = "iron-stick",
    ingredients = {{"iron-plate", 1}},
    result = "iron-stick",
    result_count = 2
  },
  {
    type = "recipe",
    name = "iron-axe",
    ingredients = {{"iron-stick", 2}, {"iron-plate", 1}},
    result = "iron-axe"
  },
  {
    type = "recipe",
    name = "stone-furnace",
	energy_required = 4,
    ingredients = {{"stone-brick", 24}},
    result = "stone-furnace"
  },
  {
    type = "recipe",
    name = "boiler",
	energy_required = 1,
    ingredients = {{"stone-brick", 6}, {"pipe", 1}},
    result = "boiler"
  },
  {
    type = "recipe",
    name = "steam-engine",
	energy_required = 12,
    ingredients =
    {
      {"iron-gear-wheel", 20},
      {"pipe", 6},
      {"iron-plate", 32}
    },
    result = "steam-engine"
  },
  {
    type = "recipe",
    name = "iron-gear-wheel",
    ingredients = {{"iron-plate", 1}},
    result = "iron-gear-wheel",
	result_count = 2
  },
  {
    type = "recipe",
    name = "electronic-circuit",
	energy_required = 1,
    ingredients =
    {
      {"iron-plate", 4},
      {"copper-cable", 8}
    },
    result = "electronic-circuit"
  },
  {
    type = "recipe",
    name = "basic-transport-belt",
	energy_required = 1,
    ingredients =
    {
      {"iron-plate", 2},
      {"iron-gear-wheel", 4}
    },
    result = "basic-transport-belt"
  },
  {
    type = "recipe",
    name = "basic-mining-drill",
    energy_required = 9,
    ingredients =
    {
      {"electronic-circuit", 2},
      {"iron-gear-wheel", 10},
      {"iron-plate", 18}
    },
    result = "basic-mining-drill"
  },
  {
    type = "recipe",
    name = "burner-mining-drill",
	energy_required = 4,
    ingredients =
    {
      {"iron-gear-wheel", 10},
      {"iron-plate", 24}
    },
    result = "burner-mining-drill"
  },
  {
    type = "recipe",
    name = "basic-inserter",
	energy_required = 1,
    ingredients =
    {
      {"electronic-circuit", 1},
      {"iron-gear-wheel", 4},
      {"iron-plate", 4}
    },
    result = "basic-inserter"
  },
  {
    type = "recipe",
    name = "burner-inserter",
	energy_required = 1,
    ingredients =
    {
      {"iron-plate", 4},
	  {"stone-brick", 6},
	  {"iron-gear-wheel", 4}
    },
    result = "burner-inserter"
  },
  {
    type = "recipe",
    name = "pipe",
	energy_required = 1,
    ingredients = {{"iron-plate", 3}},
    result = "pipe"
  },
  {
    type = "recipe",
    name = "offshore-pump",
	energy_required = 4,
    ingredients =
    {
      {"electronic-circuit", 2},
      {"pipe", 2},
      {"iron-gear-wheel", 4},
	  {"iron-plate", 16}
    },
    result = "offshore-pump"
  },
  {
    type = "recipe",
    name = "copper-cable",
    ingredients = {{"copper-plate", 1}},
    result = "copper-cable",
    result_count = 2
  },
  {
    type = "recipe",
    name = "small-electric-pole",
	energy_required = 1,
    ingredients =
    {
      {"wood", 1},
      {"copper-cable", 5}
    },
    result = "small-electric-pole"
  },
  {
    type = "recipe",
    name = "pistol",
    energy_required = 1,
    ingredients =
    {{"iron-plate", 1}},
    result = "pistol"
  },
  {
    type = "recipe",
    name = "submachine-gun",
    enabled = "false",
    energy_required = 2,
    ingredients =
    {{"iron-plate", 2}},
    result = "submachine-gun"
  },
  {
    type = "recipe",
    name = "basic-bullet-magazine",
    ingredients = {{"iron-plate", 1}},
    result = "basic-bullet-magazine",
    result_count = 1
  },
  {
    type = "recipe",
    name = "basic-armor",
    enabled = "false",
	energy_required = 1,
    ingredients = {{"iron-plate", 4}},
    result = "basic-armor"
  },
  {
    type = "recipe",
    name = "radar",
	energy_required = 18,
    ingredients =
    {
      {"electronic-circuit", 10},
      {"iron-gear-wheel", 10},
      {"iron-plate", 54}
    },
    result = "radar"
  },
  {
    type = "recipe",
    name = "small-lamp",
    enabled = "false",
	energy_required = 1,
    ingredients =
    {
      {"electronic-circuit", 1},
      {"iron-plate", 5}
    },
    result = "small-lamp"
  },
  {
    type = "recipe",
    name = "pipe-to-ground",
	energy_required = 12,
    ingredients =
    {
      {"pipe", 12},
    },
    result_count = 2,
    result = "pipe-to-ground"
  },
  {
    type = "recipe",
    name = "assembling-machine-1",
    enabled = "false",
	energy_required = 9,
    ingredients =
    {
      {"electronic-circuit", 10},
      {"iron-gear-wheel", 20},
      {"iron-plate", 42}
    },
    result = "assembling-machine-1"
  },
  {
    type = "recipe",
    name = "repair-pack",
    ingredients =
    {
      {"copper-plate", 1},
      {"iron-plate", 1}
    },
    result = "repair-pack"
  }
}
)